Bug 584499 - nscd with nss_ldap leaks file descriptors
nscd with nss_ldap leaks file descriptors
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nss_ldap (Show other bugs)
4.8
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Nalin Dahyabhai
Ondrej Moriš
: ZStream
Depends On: 563362
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-21 14:02 EDT by RHEL Product and Program Management
Modified: 2011-01-05 01:34 EST (History)
9 users (show)

See Also:
Fixed In Version: nss_ldap-253-7.el4_8.2
Doc Type: Bug Fix
Doc Text:
Under certain circumstances, the nss_ldap module may have caused the application to leak file descriptors. As a result, the number of open sockets could reach the maximum limit of 1024. With this update, this error has been fixed, and file descriptors are no longer leaking.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-19 03:17:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0538 normal SHIPPED_LIVE nss_ldap bug fix update 2010-07-19 03:17:12 EDT

  None (edit)
Description RHEL Product and Program Management 2010-04-21 14:02:18 EDT
This bug has been copied from bug #563362 and has been proposed
to be backported to 4.8 z-stream (EUS).
Comment 5 Jaromir Hradilek 2010-07-16 10:22:37 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Under certain circumstances, the nss_ldap module may have caused the application to leak file descriptors. As a result, the number of open sockets could reach the maximum limit of 1024. With this update, this error has been fixed, and file descriptors are no longer leaking.
Comment 7 errata-xmlrpc 2010-07-19 03:17:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0538.html

Note You need to log in before you can comment on or make changes to this bug.